%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Regexp-Common
Version:       2017060201
Release:       1mamba
Summary:       Regexp::Common - Provide commonly requested regular expressions
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Regexp/Regexp-Common-%{version}.tar.gz
License:       Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
egexp::Common - Provide commonly requested regular expressions
%prep
%setup -q -n Regexp-Common-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Oct 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2017060201-1mamba
- update to 2017060201

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.122-3mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.122-2mamba
- automatic rebuild by autodist

* Sun Sep 14 2008 gil <puntogil@libero.it> 2.122-1mamba
- update to 2.122

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 2.120-1mamba
- package created by autospec
